Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository
Interface HL7ObjectTypeDefinition

All Superinterfaces:
  java.util.EventListener, com.stc.repository.persistence.client.Marshalable, com.stc.model.common.ObjectTypeDefinition, com.stc.repository.persistence.client.Persistable, com.stc.model.common.cme.PortType, com.stc.model.common.ProjectElement, java.beans.PropertyChangeListener, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject

All Known Implementing Classes:
  HL7ObjectTypeDefinitionImpl

    public interface HL7ObjectTypeDefinition

extends com.stc.model.common.ObjectTypeDefinition, com.stc.model.common.cme.PortType

This interface allows the user to extend ObjectTypeDefinition

Version:
  $Revision: 1.4 $
Author:
  Julie Knight

Field Summary
`static java.lang.String` | `PROJECT_ELEMENT_TYPE` Project element type identification

Fields inherited from interface com.stc.model.common.ObjectTypeDefinition
`RCS_ID`

Fields inherited from interface com.stc.model.common.cme.PortType
`RCS_ID`

Method Summary
`com.stc.repository.RepositoryObject` | `getBusinessProcessDefinitions()` Gets the business process repository object.
`void` | `setBusinessProcessDefinitions(com.stc.repository.RepositoryObject repObj)` Sets the business process repository object.

Methods inherited from interface com.stc.model.common.ObjectTypeDefinition
`addExternalObjectTypeDefinition, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, removeExternalObjectTypeDefinition, setAccess, setDocumentation, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, getParentProject, getProjectElementType, setDescription, setName, setParentProject`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface com.stc.model.common.cme.PortType
`getIconURL`

Field Detail

### PROJECT_ELEMENT_TYPE

    static final java.lang.String PROJECT_ELEMENT_TYPE

  Project element type identification

  See Also:
    Constant Field Values

Method Detail

### getBusinessProcessDefinitions

    com.stc.repository.RepositoryObject getBusinessProcessDefinitions()
                                                                      throws com.stc.repository.RepositoryException

  Gets the business process repository object.

  Returns:
    the business process definitions repository object
  Throws:
    `com.stc.repository.RepositoryException` - repository errors

### setBusinessProcessDefinitions

    void setBusinessProcessDefinitions(com.stc.repository.RepositoryObject repObj)
                                       throws com.stc.repository.RepositoryException

  Sets the business process repository object.

  Parameters:
    `repObj` - the business process definitions repository object
  Throws:
    `com.stc.repository.RepositoryException` - repository errors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD